Subject: Re: [MMUSIC] ICE-SIP-SDP updates

From: Roman Shpount <[email-masked]>
Date: Mon, 18 Sep 2017 05:33:42 -0400

Hi Suhas,

On Mon, Sep 18, 2017 at 12:15 AM, Suhas Nandakumar <[email-masked]>
wrote:

> 1. Handling of ICE mismatch
>
> Where is ICE mismatch currently defined? I cannot find this in either
> rfc5245bis or ICE-SIP-SDP.
>
> I think ICE mismatch should occur if address in c= line and port in m=
> line do not match any of the candidates and <new>address in c= line is not
> dummy address IN IP4 0.0.0.0 and port in m= line is not dummy port 9
> </new>. This is needed to match https://tools.ietf.org/html/
> draft-ietf-rtcweb-jsep-21#section-5.2.1 and trickle ICE
>
> [Suhas] ICE mismatch is discussed in 4.1.2.3,  4.1.3.1 and 11.2.2
>

[roman] Section 4.1.2.3 should be modified to allow c= line with IN IP4
0.0.0.0 and port in m= line with port 9 not to be treated as ice-mismatch
even if it does not match any of the candidates. Without this, trickle ICE
and JSEP will cause ice-mismatch. Furthermore, rtcp attribute is optional,
so the text needs to be modified to allow for this.

2. Move general requirements from https://tools.ietf.org/html/
> draft-ietf-mmusic-sctp-sdp-26#section-12.2 into ICE-SIP-SDP.
>
> [Suhas] Added the supporting text in the above PR. Also the repository has
> HTML file for easy reading.
>

[roman] This looks good, but I will double check and provide comments if I
find anything.

>
> 3. ICE transport tag
>
> [Suhas] IIRC, this topic was brought to discussion several times in the WG
> and there was no consensus on defining a new ICE specific transport tag.
> Personally, I feel this will be a large undertaking and we should avoid
> doing this as part of this draft work. I am open to suggestions.
>
>
 [roman]  I agree that this can be left out and handled in the future draft
if there is enough support for it.

Regards,
_____________
Roman Shpount

---

From: Flemming Andreasen <[email-masked]>
Date: Fri, 22 Sep 2017 09:04:32 -0400

Any further comments on this ? If not, when can we get the updates in so 
we can move forward with the document ?

Thanks

-- Flemming

On 9/18/17 5:33 AM, Roman Shpount wrote:
> Hi Suhas,
>
>
> On Mon, Sep 18, 2017 at 12:15 AM, Suhas Nandakumar 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Where is ICE mismatch currently defined? I cannot find this in
>     either rfc5245bis or ICE-SIP-SDP.
>
>     I think ICE mismatch should occur if address in c= line and port
>     in m= line do not match any of the candidates and <new>address in
>     c= line is not dummy address IN IP4 0.0.0.0 and port in m= line is
>     not dummy port 9 </new>. This is needed to match
>     https://tools.ietf.org/html/draft-ietf-rtcweb-jsep-21#section-5.2.1
>     <https://tools.ietf.org/html/draft-ietf-rtcweb-jsep-21#section-5.2.1>
>     and trickle ICE
>
> [roman] Section 4.1.2.3 should be modified to allow c= line with IN 
> IP4 0.0.0.0 and port in m= line with port 9 not to be treated as 
> ice-mismatch even if it does not match any of the candidates. Without 
> this, trickle ICE and JSEP will cause ice-mismatch. Furthermore, rtcp 
> attribute is optional, so the text needs to be modified to allow for this.
>
>     2. Move general requirements from
>     https://tools.ietf.org/html/draft-ietf-mmusic-sctp-sdp-26#section-12.2
>     <https://tools.ietf.org/html/draft-ietf-mmusic-sctp-sdp-26#section-12.2>
>     into ICE-SIP-SDP.
>
>     [Suhas] Added the supporting text in the above PR. Also the
>     repository has HTML file for easy reading.
>
>
> [roman] This looks good, but I will double check and provide comments 
> if I find anything.
>
>
>     3. ICE transport tag
>
>     [Suhas] IIRC, this topic was brought to discussion several times
>     in the WG and there was no consensus on defining a new ICE
>     specific transport tag. Personally, I feel this will be a large
>     undertaking and we should avoid doing this as part of this draft
>     work. I am open to suggestions.
>
>
>  [roman]  I agree that this can be left out and handled in the future 
> draft if there is enough support for it.
>
> Regards,
> _____________
> Roman Shpount
>
>
>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic

---

From: Suhas Nandakumar <[email-masked]>
Date: Sat, 30 Sep 2017 15:46:48 -0700

Hello Roman

  Just checking back on the above PR and if the changes look good. Also few
comments inline

Thanks
Suhas

On Mon, Sep 18, 2017 at 2:33 AM, Roman Shpount <[email-masked]> wrote:

>> </new>. This is needed to match https://tools.ietf.org/html/dr
>> aft-ietf-rtcweb-jsep-21#section-5.2.1 and trickle ICE
>>

[Suhas] I am not sure if ice-sip-sdp needs to define trickle ice
requirements for ice-mismatch. Trickle ICE spec should be handling IP4
0.0.0.0 and port 9 text and have a requirement to mention that it's no
ice-mismatch. This is very similar to ICE-BIS not speaking about trickle-ice

>
> 2. Move general requirements from https://tools.ietf.org/html/dr
>> aft-ietf-mmusic-sctp-sdp-26#section-12.2 into ICE-SIP-SDP.
>>
>> [Suhas] Added the supporting text in the above PR. Also the repository
>> has HTML file for easy reading.
>>
>

[Suhas] If the changes look good here,I would want to generate a new
version for submission.

>
>> 3. ICE transport tag
>>
>> [Suhas] IIRC, this topic was brought to discussion several times in the
>> WG and there was no consensus on defining a new ICE specific transport tag.

[Suhas] Thanks and agree with you